[DEFAULT]
#internal_service_availability_zone=internal
#default_availability_zone=nova
#default_schedule_zone=<None>
#password_length=12
#instance_usage_audit_period=month
#use_rootwrap_daemon=false
#rootwrap_config=/etc/nova/rootwrap.conf
#tempdir=<None>

compute_driver={{ nova_compute_driver }}
#allow_resize_to_same_host=false
#non_inheritable_image_properties=cache_in_nova,bittorrent,img_signature_hash_method,img_signature,img_signature_key_type,img_signature_certificate_uuid
#max_local_block_devices=3
#compute_monitors =
#default_ephemeral_format=<None>
#vif_plugging_is_fatal=true
#vif_plugging_timeout=300
#injected_network_template=/usr/share/nova/interfaces.template
#preallocate_images=none
#use_cow_images=true
#force_raw_images=true
#virt_mkfs =
#resize_fs_using_block_device=false
#timeout_nbd=10
#image_cache_subdirectory_name=_base
#remove_unused_base_images=true
#remove_unused_original_minimum_age_seconds=86400
#pointer_model=usbtablet
#vcpu_pin_set=<None>
#reserved_huge_pages=<None>
#reserved_host_disk_mb=0
#reserved_host_memory_mb=512
#reserved_host_cpus=0

cpu_allocation_ratio={{ nova_cpu_alloc_ratio }}
ram_allocation_ratio={{ nova_ram_alloc_ratio }}
#disk_allocation_ratio=<None>

initial_cpu_allocation_ratio={{ nova_cpu_alloc_ratio }}
initial_ram_allocation_ratio={{ nova_ram_alloc_ratio }}
#initial_disk_allocation_ratio=1.0
#console_host=<current_hostname>
#default_access_ip_network_name=<None>
#instances_path=$state_path/instances
#instance_usage_audit=false
#live_migration_retry_count=30
#resume_guests_state_on_host_boot=false
#network_allocate_retries=0
#max_concurrent_builds=10
#max_concurrent_live_migrations=1

block_device_allocate_retries=300
#sync_power_state_pool_size=1000
#image_cache_manager_interval=2400
#bandwidth_poll_interval=600
#sync_power_state_interval=600
#heal_instance_info_cache_interval=60
#reclaim_instance_interval=0
#volume_usage_poll_interval=0
#shelved_poll_interval=3600
#shelved_offload_time=0
#instance_delete_interval=300

block_device_allocate_retries_interval=10
#scheduler_instance_sync_interval=120
#update_resources_interval=0
#reboot_timeout=0
#instance_build_timeout=0
#rescue_timeout=0
#resize_confirm_window=0
#shutdown_timeout=60
#running_deleted_instance_action=reap
#running_deleted_instance_poll_interval=1800
#running_deleted_instance_timeout=0
#maximum_instance_delete_attempts=5
#osapi_compute_unique_server_name_scope =
#enable_new_services=true
#instance_name_template=instance-%08x
#migrate_max_retries=-1
#config_drive_format=iso9660
#force_config_drive=false
#mkisofs_cmd=genisoimage
#default_flavor=m1.small

my_ip = {{ node_ip }}
#my_block_storage_ip=$my_ip
#host=<current_hostname>
#dhcpbridge_flagfile=/etc/nova/nova.conf
#networks_path=$state_path/networks
#public_interface=eth0
#dhcpbridge=/usr/bin/nova-dhcpbridge
#routing_source_ip=$my_ip
#dhcp_lease_time=86400
#dns_server =
#use_network_dns_servers=false
#dmz_cidr =
#force_snat_range =
#dnsmasq_config_file =
#linuxnet_interface_driver=nova.network.linux_net.LinuxBridgeInterfaceDriver
#linuxnet_ovs_integration_bridge=br-int
#send_arp_for_ha=false
#send_arp_for_ha_count=3
#use_single_default_gateway=false
#forward_bridge_interface=all
#metadata_host=$my_ip
#metadata_port=8775
#iptables_top_regex =
#iptables_bottom_regex =
#iptables_drop_action=DROP
#defer_iptables_apply=false
#ovs_vsctl_timeout=120
#fake_network=false
#ebtables_exec_attempts=3
#ebtables_retry_interval=1.0

## use_neutron=true
#flat_injected=false
#flat_network_bridge=<None>
#flat_network_dns=8.8.4.4
#flat_interface=<None>
#vlan_start=100
#vlan_interface=<None>
#num_networks=1
#vpn_ip=$my_ip
#vpn_start=1000
#network_size=256
#fixed_range_v6=fd00::/48
#gateway=<None>
#gateway_v6=<None>
#cnt_vpn_clients=0
#fixed_ip_disassociate_timeout=600
#create_unique_mac_address_attempts=5
#teardown_unused_network_gateway=false
#force_dhcp_release=True
#update_dns_entries=false
#dns_update_periodic_interval=-1
#dhcp_domain=novalocal
#l3_lib=nova.network.l3.LinuxNetL3
#share_dhcp_address=false
#ldap_dns_url=ldap://ldap.example.com:389
#ldap_dns_user=uid=admin,ou=people,dc=example,dc=org
#ldap_dns_password=password
#ldap_dns_soa_hostmaster=hostmaster@example.org
#ldap_dns_servers=dns.example.org
#ldap_dns_base_dn=ou=hosts,dc=example,dc=org
#ldap_dns_soa_refresh=1800
#ldap_dns_soa_retry=3600
#ldap_dns_soa_expiry=86400
#ldap_dns_soa_minimum=7200
#multi_host=false
#network_driver=nova.network.linux_net

## firewall_driver=nova.virt.firewall.NoopFirewallDriver
#allow_same_net_traffic=true
#default_floating_pool=nova
#auto_assign_floating_ip=false
#floating_ip_dns_manager=nova.network.noop_dns_driver.NoopDNSDriver
#instance_dns_manager=nova.network.noop_dns_driver.NoopDNSDriver
#instance_dns_domain =
#use_ipv6=false
#ipv6_backend=rfc2462
#enable_network_quota=false
#quota_networks=3
#network_manager=nova.network.manager.VlanManager
#record=<None>
#daemon=false
#ssl_only=false
#source_is_ipv6=false
#cert=self.pem
#key=<None>
#web=/usr/share/spice-html5
#pybasedir=<Path>
#bindir=/usr/local/bin
#state_path=/var/lib/nova
#long_rpc_timeout=1800
#report_interval=10
#service_down_time=60
#periodic_enable=true
#periodic_fuzzy_delay=60

enabled_apis=osapi_compute,metadata
#enabled_ssl_apis =
#osapi_compute_listen=0.0.0.0
#osapi_compute_listen_port=8774
#osapi_compute_workers=<None>
#metadata_listen=0.0.0.0
#metadata_listen_port=8775
#metadata_workers=<None>
#servicegroup_driver=db
#debug=false
#log_config_append=<None>
#log_date_format=%Y-%m-%d %H:%M:%S
#log_file=<None>
#log_dir=/var/log/nova
#watch_log_file=false
#use_syslog=false
#use_journal=false
#syslog_log_facility=LOG_USER
#use_json=false
#use_stderr=False
#use_eventlog=false
#log_rotate_interval=1
#log_rotate_interval_type=days
#max_logfile_count=30
#max_logfile_size_mb=200
#log_rotation_type=none
#logging_context_format_string=%(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [%(request_id)s %(user_identity)s] %(instance)s%(message)s
#logging_default_format_string=%(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [-] %(instance)s%(message)s
#logging_debug_format_suffix=%(funcName)s %(pathname)s:%(lineno)d
#logging_exception_prefix=%(asctime)s.%(msecs)03d %(process)d ERROR %(name)s %(instance)s
#logging_user_identity_format=%(user)s %(tenant)s %(domain)s %(user_domain)s %(project_domain)s
#default_log_levels=amqp=WARN,amqplib=WARN,boto=WARN,qpid=WARN,sqlalchemy=WARN,suds=INFO,oslo.messaging=INFO,oslo_messaging=INFO,iso8601=WARN,requests.packages.urllib3.connectionpool=WARN,urllib3.connectionpool=WARN,websocket=WARN,requests.packages.urllib3.util.retry=WARN,urllib3.util.retry=WARN,keystonemiddleware=WARN,routes.middleware=WARN,stevedore=WARN,taskflow=WARN,keystoneauth=WARN,oslo.cache=INFO,oslo_policy=INFO,dogpile.core.dogpile=INFO
#publish_errors=false
#instance_format="[instance: %(uuid)s] "
#instance_uuid_format="[instance: %(uuid)s] "
#rate_limit_interval=0
#rate_limit_burst=0
#rate_limit_except_level=CRITICAL
#fatal_deprecations=false
#rpc_conn_pool_size=30
#conn_pool_min_size=2
#conn_pool_ttl=1200
#executor_thread_pool_size=64
#rpc_response_timeout=60

transport_url = {{ rabbit_transport_url }}
#control_exchange=openstack
#run_external_periodic_tasks=true
#backdoor_port=<None>
#backdoor_socket=<None>
#log_options=true
#graceful_shutdown_timeout=60

[api]
auth_strategy=keystone
#use_forwarded_for=false
#config_drive_skip_versions=1.0 2007-01-19 2007-03-01 2007-08-29 2007-10-10 2007-12-15 2008-02-01 2008-09-01
#vendordata_providers=StaticJSON
#vendordata_dynamic_targets =
#vendordata_dynamic_ssl_certfile =
#vendordata_dynamic_connect_timeout=5
#vendordata_dynamic_read_timeout=5
#vendordata_dynamic_failure_fatal=false
#metadata_cache_expiration=15
#local_metadata_per_cell=false
#vendordata_jsonfile_path=<None>
#max_limit=1000
#compute_link_prefix=<None>
#glance_link_prefix=<None>
#instance_list_per_project_cells=false
#instance_list_cells_batch_strategy=distributed
#instance_list_cells_batch_fixed_size=100
#list_records_by_skipping_down_cells=true
#use_neutron_default_nets=false
#neutron_default_tenant_id=default
#enable_instance_password=true

[api_database]
connection = mysql+pymysql://nova:{{ openstack_nova_db_password }}@{{ nova_database_host }}/nova_api
#connection_parameters =
#sqlite_synchronous=true
#slave_connection=<None>
#mysql_sql_mode=TRADITIONAL
#connection_recycle_time=3600
#max_pool_size=<None>
#max_retries=-1
#retry_interval=10
#max_overflow=<None>
#connection_debug=0
#connection_trace=false
#pool_timeout=<None>

[barbican]
#barbican_endpoint=<None>
#barbican_api_version=<None>
#auth_endpoint=http://localhost/identity/v3
#retry_delay=1
#number_of_retries=60
#verify_ssl=true
#barbican_endpoint_type=public

[cache]
#config_prefix=cache.oslo
#expiration_time=600
#backend=dogpile.cache.null
#backend_argument =
#proxies =
#enabled=false
#debug_cache_backend=false
#memcache_servers=localhost:11211
#memcache_dead_retry=300
#memcache_socket_timeout=3.0
#memcache_pool_maxsize=10
#memcache_pool_unused_timeout=60
#memcache_pool_connection_get_timeout=10

[cells]
#enable=false
#name=nova
#capabilities=hypervisor=xenserver;kvm,os=linux;windows
#call_timeout=60
#reserve_percent=10.0
#cell_type=compute
#mute_child_interval=300
#bandwidth_update_interval=600
#instance_update_sync_database_limit=100
#mute_weight_multiplier=-10000.0
#ram_weight_multiplier=10.0
#offset_weight_multiplier=1.0
#instance_updated_at_threshold=3600
#instance_update_num_instances=1
#max_hop_count=10
#scheduler=nova.cells.scheduler.CellsScheduler
#rpc_driver_queue_base=cells.intercell
#scheduler_filter_classes=nova.cells.filters.all_filters
#scheduler_weight_classes=nova.cells.weights.all_weighers
#scheduler_retries=10
#scheduler_retry_delay=2
#db_check_interval=60
#cells_config=<None>

[cinder]
catalog_info=volumev3::publicURL
#endpoint_template=<None>

os_region_name=RegionOne
#http_retries=3
#cross_az_attach=true
#cafile=<None>
#certfile=<None>
#keyfile=<None>

insecure={{ ssl_no_verify }}
#timeout=<None>
#collect_timing=false
#split_loggers=false
#auth_type=<None>
#auth_section=<None>
#auth_url=<None>
#system_scope=<None>
#domain_id=<None>
#domain_name=<None>
#project_id=<None>
#project_name=<None>
#project_domain_id=<None>
#project_domain_name=<None>
#trust_id=<None>
#default_domain_id=<None>
#default_domain_name=<None>
#user_id=<None>
#username=<None>
#user_domain_id=<None>
#user_domain_name=<None>
#password=<None>
#tenant_id=<None>
#tenant_name=<None>

[compute]
#consecutive_build_service_disable_threshold=10
#shutdown_retry_interval=10
#resource_provider_association_refresh=300
#cpu_shared_set=<None>
#live_migration_wait_for_vif_plug=true
#max_concurrent_disk_ops=0
#max_disk_devices_to_attach=-1

[conductor]
#workers=<None>

[console]
#allowed_origins =

[consoleauth]
#token_ttl=600

[cors]
#allowed_origin=<None>
#allow_credentials=true
#expose_headers=X-Auth-Token,X-Openstack-Request-Id,X-Subject-Token,X-Service-Token
#max_age=3600
#allow_methods=GET,PUT,POST,DELETE,PATCH
#allow_headers=X-Auth-Token,X-Openstack-Request-Id,X-Identity-Status,X-Roles,X-Service-Catalog,X-User-Id,X-Tenant-Id

[database]
connection = mysql+pymysql://nova:{{ openstack_nova_db_password }}@{{ nova_database_host }}/nova
#sqlite_synchronous=true
#backend=sqlalchemy
#connection=<None>
#slave_connection=<None>
#mysql_sql_mode=TRADITIONAL
#mysql_enable_ndb=false
#connection_recycle_time=3600
#min_pool_size=1
#max_pool_size=5
#max_retries=10
#retry_interval=10
#max_overflow=50
#connection_debug=0
#connection_trace=false
#pool_timeout=<None>
#use_db_reconnect=false
#db_retry_interval=1
#db_inc_retry_interval=true
#db_max_retry_interval=10
#db_max_retries=20
#connection_parameters =
#use_tpool=false

[devices]
#enabled_vgpu_types =

[ephemeral_storage_encryption]
#enabled=false
#cipher=aes-xts-plain64
#key_size=512

[filter_scheduler]
#host_subset_size=1
#max_io_ops_per_host=8
#max_instances_per_host=50
#track_instance_changes=true

available_filters = nova.scheduler.filters.all_filters
{% if filter_pci_pass %}
enabled_filters = {{ nova_enabled_filters }}
{% else %}
#enabled_filters=RetryFilter,AvailabilityZoneFilter,ComputeFilter,ComputeCapabilitiesFilter,ImagePropertiesFilter,ServerGroupAntiAffinityFilter,ServerGroupAffinityFilter
{% endif %}
#weight_classes=nova.scheduler.weights.all_weighers
#ram_weight_multiplier=1.0
#cpu_weight_multiplier=1.0
#disk_weight_multiplier=1.0
#io_ops_weight_multiplier=-1.0
#pci_weight_multiplier=1.0
#soft_affinity_weight_multiplier=1.0
#soft_anti_affinity_weight_multiplier=1.0
#build_failure_weight_multiplier=1000000.0
#shuffle_best_same_weighed_hosts=false
#image_properties_default_architecture=<None>
#isolated_images =
#isolated_hosts =
#restrict_isolated_hosts_to_isolated_images=true
#aggregate_image_properties_isolation_namespace=<None>
#aggregate_image_properties_isolation_separator=.

[glance]
api_servers={{ nova_glance_api_endpoint }}
#num_retries=0
#allowed_direct_url_schemes =
#verify_glance_signatures=false
#enable_certificate_validation=false
#default_trusted_certificate_ids =
#debug=false
#cafile=<None>
#certfile=<None>
#keyfile=<None>

insecure={{ ssl_no_verify }}
#timeout=<None>
#collect_timing=false
#split_loggers=false
#service_type=image
#service_name=<None>
#valid_interfaces=internal,public
#region_name=<None>
#endpoint_override=<None>

[guestfs]
#debug=false

[healthcheck]
#path=/healthcheck
#detailed=false
#backends =
#disable_by_file_path=<None>
#disable_by_file_paths =

[hyperv]
#dynamic_memory_ratio=1.0
#enable_instance_metrics_collection=false
#instances_path_share =
#limit_cpu_features=false
#mounted_disk_query_retry_count=10
#mounted_disk_query_retry_interval=5
#power_state_check_timeframe=60
#power_state_event_polling_interval=2
#qemu_img_cmd=qemu-img.exe
#vswitch_name=<None>
#wait_soft_reboot_seconds=60
#config_drive_cdrom=false
#config_drive_inject_password=false
#volume_attach_retry_count=10
#volume_attach_retry_interval=5
#enable_remotefx=false
#use_multipath_io=false
#iscsi_initiator_list =

[ironic]
#api_endpoint=http://ironic.example.org:6385/
#api_max_retries=60
#api_retry_interval=2
#serial_console_state_timeout=10
#partition_key=<None>
#peer_list =
#cafile=<None>
#certfile=<None>
#keyfile=<None>
#insecure=false
#timeout=<None>
#collect_timing=false
#split_loggers=false
#auth_type=<None>
#auth_section=<None>
#auth_url=<None>
#system_scope=<None>
#domain_id=<None>
#domain_name=<None>
#project_id=<None>
#project_name=<None>
#project_domain_id=<None>
#project_domain_name=<None>
#trust_id=<None>
#user_id=<None>
#username=<None>
#user_domain_id=<None>
#user_domain_name=<None>
#password=<None>
#service_type=baremetal
#service_name=<None>
#valid_interfaces=internal,public
#region_name=<None>
#endpoint_override=<None>

[key_manager]
#fixed_key=<None>
#backend=barbican
#auth_type=<None>
#token=<None>
#username=<None>
#password=<None>
#auth_url=<None>
#user_id=<None>
#user_domain_id=<None>
#user_domain_name=<None>
#trust_id=<None>
#domain_id=<None>
#domain_name=<None>
#project_id=<None>
#project_name=<None>
#project_domain_id=<None>
#project_domain_name=<None>
#reauthenticate=true

[keystone]
#cafile=<None>
#certfile=<None>
#keyfile=<None>

insecure={{ ssl_no_verify }}
#timeout=<None>
#collect_timing=false
#split_loggers=false
#service_type=identity
#service_name=<None>
#valid_interfaces=internal,public
#region_name=<None>
#endpoint_override=<None>

[keystone_authtoken]
www_authenticate_uri = {{ openstack_ks_url }}

#auth_uri=<None>
auth_url = {{ openstack_ks_url }}
memcached_servers = {{ openstack_memcached_servers }}
auth_type = password
project_domain_name = Default
user_domain_name = Default
project_name = service
username = nova
password = {{ openstack_admin_password }}

#auth_version=<None>
#delay_auth_decision=false
#http_connect_timeout=<None>
#http_request_max_retries=3
#cache=<None>
#certfile=<None>
#keyfile=<None>
#cafile=<None>

insecure={{ ssl_no_verify }}
#region_name=<None>
#signing_dir=<None>
#memcached_servers=<None>
#token_cache_time=300
#memcache_security_strategy=None
#memcache_secret_key=<None>
#memcache_pool_dead_retry=300
#memcache_pool_maxsize=10
#memcache_pool_socket_timeout=3
#memcache_pool_unused_timeout=60
#memcache_pool_conn_get_timeout=10
#memcache_use_advanced_pool=false
#include_service_catalog=true
#enforce_token_bind=permissive
#hash_algorithms=md5

service_token_roles=service
service_token_roles_required=False
#auth_type=<None>
#auth_section=<None>

[libvirt]
#rescue_image_id=<None>
#rescue_kernel_id=<None>
#rescue_ramdisk_id=<None>

virt_type=kvm
#connection_uri =

inject_password=false
inject_key=false
inject_partition=-2
#use_usb_tablet=true
#live_migration_scheme=<None>
#live_migration_inbound_addr=<None>
#live_migration_uri=<None>
#live_migration_tunnelled=false
#live_migration_bandwidth=0
#live_migration_downtime=500
#live_migration_downtime_steps=10
#live_migration_downtime_delay=75
#live_migration_completion_timeout=800
#live_migration_timeout_action=abort
#live_migration_permit_post_copy=false
#live_migration_permit_auto_converge=false
#snapshot_image_format=<None>
#live_migration_with_native_tls=false
#disk_prefix=<None>
#wait_soft_reboot_seconds=120
#cpu_mode=<None>
#cpu_model=<None>
#cpu_model_extra_flags =
#snapshots_directory=$instances_path/snapshots
#xen_hvmloader_path=/usr/lib/xen/boot/hvmloader

disk_cachemodes = "network=writeback"
#rng_dev_path=/dev/urandom
#hw_machine_type=<None>
#sysinfo_serial=unique
#mem_stats_period_seconds=10
#uid_maps =
#gid_maps =
#realtime_scheduler_priority=1
#enabled_perf_events =
#num_pcie_ports=0
#file_backed_memory=0

images_type = rbd
#images_volume_group=<None>
#sparse_logical_volumes=false

images_rbd_pool = vms
#images_rbd_ceph_conf =

hw_disk_discard = unmap
#image_info_filename_pattern=$instances_path/$image_cache_subdirectory_name/%(image)s.info
#remove_unused_resized_minimum_age_seconds=3600
#checksum_base_images=false
#checksum_interval_seconds=3600
#volume_clear=zero
#volume_clear_size=0
#snapshot_compression=false
#use_virtio_for_bridges=true
#volume_use_multipath=false
#num_volume_scan_tries=5
#num_aoe_discover_tries=3
#iscsi_iface=<None>
#num_iser_scan_tries=5
#iser_use_multipath=false

rbd_user = cinder
rbd_secret_uuid = {{ ceph_rbd_secret_uuid }}
#nfs_mount_point_base=$state_path/mnt
#nfs_mount_options=<None>
#quobyte_mount_point_base=$state_path/mnt
#quobyte_client_cfg=<None>
#smbfs_mount_point_base=$state_path/mnt
#smbfs_mount_options =
#remote_filesystem_transport=ssh
#vzstorage_mount_point_base=$state_path/mnt
#vzstorage_mount_user=stack
#vzstorage_mount_group=qemu
#vzstorage_mount_perms=0770
#vzstorage_log_path=/var/log/vstorage/%(cluster_name)s/nova.log.gz
#vzstorage_cache_path=<None>
#vzstorage_mount_opts =
#rx_queue_size=<None>
#tx_queue_size=<None>
#num_nvme_discover_tries=5

[metrics]
#weight_multiplier=1.0
#weight_setting =
#required=true
#weight_of_unavailable=-10000.0

[mks]
#mksproxy_base_url=http://127.0.0.1:6090/
#enabled=false

[neutron]
## url={{ openstack_neutron_publicurl }}
auth_url = {{ openstack_ks_url }}
auth_type = password
project_domain_name = default
user_domain_name = default
region_name = RegionOne
project_name = service
username = neutron
password = {{ openstack_admin_password }}

#ovs_bridge=br-int
#default_floating_pool=nova
#extension_sync_interval=600
#physnets =

service_metadata_proxy = true
metadata_proxy_shared_secret = {{ neutron_metadata_secret }}
#cafile=<None>
#certfile=<None>
#keyfile=<None>

insecure={{ ssl_no_verify }}
#timeout=<None>
#collect_timing=false
#split_loggers=false
#auth_type=<None>
#auth_section=<None>
#auth_url=<None>
#system_scope=<None>
#domain_id=<None>
#domain_name=<None>
#project_id=<None>
#project_name=<None>
#project_domain_id=<None>
#project_domain_name=<None>
#trust_id=<None>
#default_domain_id=<None>
#default_domain_name=<None>
#user_id=<None>
#username=<None>
#user_domain_id=<None>
#user_domain_name=<None>
#password=<None>
#tenant_id=<None>
#tenant_name=<None>
#service_type=network
#service_name=<None>
#valid_interfaces=internal,public
#region_name=<None>
#endpoint_override=<None>

[notifications]
#notify_on_state_change=<None>
#default_level=INFO
#notification_format=both
#versioned_notifications_topics=versioned_notifications
#bdms_in_notifications=false

[osapi_v21]
#project_id_regex=<None>

[oslo_concurrency]
#disable_process_locking=false
lock_path=/var/lib/nova/tmp

[oslo_messaging_amqp]
#container_name=<None>
#idle_timeout=0
#trace=false
#ssl=false
#ssl_ca_file =
#ssl_cert_file =
#ssl_key_file =
#ssl_key_password=<None>
#ssl_verify_vhost=false
#sasl_mechanisms =
#sasl_config_dir =
#sasl_config_name =
#sasl_default_realm =
#connection_retry_interval=1
#connection_retry_backoff=2
#connection_retry_interval_max=30
#link_retry_delay=10
#default_reply_retry=0
#default_reply_timeout=30
#default_send_timeout=30
#default_notify_timeout=30
#default_sender_link_timeout=600
#addressing_mode=dynamic
#pseudo_vhost=true
#server_request_prefix=exclusive
#broadcast_prefix=broadcast
#group_request_prefix=unicast
#rpc_address_prefix=openstack.org/om/rpc
#notify_address_prefix=openstack.org/om/notify
#multicast_address=multicast
#unicast_address=unicast
#anycast_address=anycast
#default_notification_exchange=<None>
#default_rpc_exchange=<None>
#reply_link_credit=200
#rpc_server_credit=100
#notify_server_credit=100
#pre_settled=rpc-cast
#pre_settled=rpc-reply

[oslo_messaging_kafka]
#kafka_max_fetch_bytes=1048576
#kafka_consumer_timeout=1.0
#pool_size=10
#conn_pool_min_size=2
#conn_pool_ttl=1200
#consumer_group=oslo_messaging_consumer
#producer_batch_timeout=0.0
#producer_batch_size=16384
#enable_auto_commit=false
#max_poll_records=500
#security_protocol=PLAINTEXT
#sasl_mechanism=PLAIN
#ssl_cafile =

[oslo_messaging_notifications]
#driver =
#transport_url=<None>
#topics=notifications
#retry=-1

[oslo_messaging_rabbit]
#amqp_durable_queues=false
#amqp_auto_delete=false
#ssl=false
#ssl_version =
#ssl_key_file =
#ssl_cert_file =
#ssl_ca_file =
#kombu_reconnect_delay=1.0
#kombu_compression=<None>
#kombu_missing_consumer_retry_timeout=60
#kombu_failover_strategy=round-robin
#rabbit_login_method=AMQPLAIN

rabbit_retry_interval=1
rabbit_retry_backoff=2
rabbit_interval_max=10
#rabbit_durable_queues=false
#rabbit_ha_queues=false
#rabbit_transient_queues_ttl=60
#rabbit_qos_prefetch_count=0
#heartbeat_timeout_threshold=60
#heartbeat_rate=2

[oslo_middleware]
#max_request_body_size=114688
#secure_proxy_ssl_header=X-Forwarded-Proto
#enable_proxy_headers_parsing=false

[oslo_policy]
#enforce_scope=false
#policy_file=policy.json
#policy_default_rule=default
#policy_dirs=policy.d
#remote_content_type=application/x-www-form-urlencoded
#remote_ssl_verify_server_crt=false
#remote_ssl_ca_crt_file=<None>
#remote_ssl_client_crt_file=<None>
#remote_ssl_client_key_file=<None>

[pci]
{% if pci_alias1 is defined %}
alias = {{ pci_alias1 }}
{% else %}
#pci_alias =
{% endif %}
{% if pci_alias2 is defined %}
alias = {{ pci_alias2 }}
{% endif %}
{% if pci_alias3 is defined %}
alias = {{ pci_alias3 }}
{% endif %}
{% if pci_alias4 is defined %}
alias = {{ pci_alias4 }}
{% endif %}
{% if pci_alias5 is defined %}
alias = {{ pci_alias5 }}
{% endif %}

{% if pci_pass is defined %}
passthrough_whitelist = {{ pci_pass }}
{% else %}
#passthrough_whitelist =
{% endif %}

[placement]
region_name = RegionOne
project_domain_name = Default
project_name = service
auth_type = password
user_domain_name = Default
auth_url = {{ openstack_ks_url }}
username = placement
password = {{ openstack_admin_password }}

#randomize_allocation_candidates=false
#policy_file=placement-policy.yaml
#incomplete_consumer_project_id=00000000-0000-0000-0000-000000000000
#incomplete_consumer_user_id=00000000-0000-0000-0000-000000000000
#cafile=<None>
#certfile=<None>
#keyfile=<None>
insecure={{ ssl_no_verify }}
#timeout=<None>
#collect_timing=false
#split_loggers=false
#auth_type=<None>
#auth_section=<None>
#auth_url=<None>
#system_scope=<None>
#domain_id=<None>
#domain_name=<None>
#project_id=<None>
#project_name=<None>
#project_domain_id=<None>
#project_domain_name=<None>
#trust_id=<None>
#default_domain_id=<None>
#default_domain_name=<None>
#user_id=<None>
#username=<None>
#user_domain_id=<None>
#user_domain_name=<None>
#password=<None>
#tenant_id=<None>
#tenant_name=<None>
#service_type=placement
#service_name=<None>
#valid_interfaces=internal,public
#region_name=<None>
#endpoint_override=<None>

[placement_database]
connection = mysql+pymysql://placement:{{ openstack_nova_db_password }}@{{ nova_database_host }}/placement
#connection=<None>
#connection_parameters =
#sqlite_synchronous=true
#slave_connection=<None>
#mysql_sql_mode=TRADITIONAL
#connection_recycle_time=3600
#max_pool_size=<None>
#max_retries=10
#retry_interval=10
#max_overflow=<None>
#connection_debug=0
#connection_trace=false
#pool_timeout=<None>

[powervm]
#proc_units_factor=0.1
#disk_driver=localdisk
#volume_group_name =

[privsep]
#user=<None>
#group=<None>
#capabilities =
#thread_pool_size=8
#helper_command=<None>

[profiler]
#enabled=false
#trace_sqlalchemy=false
#hmac_keys=SECRET_KEY
#connection_string=messaging://
#es_doc_type=notification
#es_scroll_time=2m
#es_scroll_size=10000
#socket_timeout=0.1
#sentinel_service_name=mymaster
#filter_error_trace=false

[quota]
#instances=10
#cores=20
#ram=51200
#floating_ips=10
#fixed_ips=-1
#metadata_items=128
#injected_files=5
#injected_file_content_bytes=10240
#injected_file_path_length=255
#security_groups=10
#security_group_rules=20
#key_pairs=100
#server_groups=10
#server_group_members=10
#driver=nova.quota.DbQuotaDriver
#recheck_quota=true

[rdp]
#enabled=false
#html5_proxy_base_url=http://127.0.0.1:6083/

[remote_debug]
#host=<None>
#port=<None>

[scheduler]
#driver=filter_scheduler
#periodic_task_interval=60
#max_attempts=3
discover_hosts_in_cells_interval=300
#max_placement_results=1000
#workers=<None>
#limit_tenants_to_placement_aggregate=false
#placement_aggregate_required_for_tenants=false
#query_placement_for_availability_zone=false

[serial_console]
#enabled=false
#port_range=10000:20000
#base_url=ws://127.0.0.1:6083/
#proxyclient_address=127.0.0.1
#serialproxy_host=0.0.0.0
#serialproxy_port=6083

[service_user]
#send_service_user_token=false
#cafile=<None>
#certfile=<None>
#keyfile=<None>

insecure={{ ssl_no_verify }}
#timeout=<None>
#collect_timing=false
#split_loggers=false
#auth_type=<None>
#auth_section=<None>
#auth_url=<None>
#system_scope=<None>
#domain_id=<None>
#domain_name=<None>
#project_id=<None>
#project_name=<None>
#project_domain_id=<None>
#project_domain_name=<None>
#trust_id=<None>
#default_domain_id=<None>
#default_domain_name=<None>
#user_id=<None>
#username=<None>
#user_domain_id=<None>
#user_domain_name=<None>
#password=<None>
#tenant_id=<None>
#tenant_name=<None>

[spice]
#enabled=false
#agent_enabled=true
#html5proxy_base_url=http://127.0.0.1:6082/spice_auto.html
#server_listen=127.0.0.1
#server_proxyclient_address=127.0.0.1
#keymap=<None>
#html5proxy_host=0.0.0.0
#html5proxy_port=6082

[upgrade_levels]
#compute=<None>
#cells=<None>
#intercell=<None>
#cert=<None>
#scheduler=<None>
#conductor=<None>
#console=<None>
#consoleauth=<None>
#network=<None>
#baseapi=<None>

[vault]
#root_token_id=<None>
#approle_role_id=<None>
#approle_secret_id=<None>
#kv_mountpoint=secret
#vault_url=http://127.0.0.1:8200
#ssl_ca_crt_file=<None>
#use_ssl=false

[vendordata_dynamic_auth]
#cafile=<None>
#certfile=<None>
#keyfile=<None>
#insecure=false
#timeout=<None>
#collect_timing=false
#split_loggers=false
#auth_type=<None>
#auth_section=<None>
#auth_url=<None>
#system_scope=<None>
#domain_id=<None>
#domain_name=<None>
#project_id=<None>
#project_name=<None>
#project_domain_id=<None>
#project_domain_name=<None>
#trust_id=<None>
#default_domain_id=<None>
#default_domain_name=<None>
#user_id=<None>
#username=<None>
#user_domain_id=<None>
#user_domain_name=<None>
#password=<None>
#tenant_id=<None>
#tenant_name=<None>

[vmware]
#vlan_interface=vmnic0
#integration_bridge=<None>
#console_delay_seconds=<None>
#serial_port_service_uri=<None>
#serial_port_proxy_uri=<None>
#serial_log_dir=/opt/vmware/vspc
#host_ip=<None>
#host_port=443
#host_username=<None>
#host_password=<None>
#ca_file=<None>
#insecure=false
#cluster_name=<None>
#datastore_regex=<None>
#task_poll_interval=0.5
#api_retry_count=10
#vnc_port=5900
#vnc_port_total=10000
#vnc_keymap=en-us
#use_linked_clone=true
#connection_pool_size=10
#pbm_enabled=false
#pbm_wsdl_location=<None>
#pbm_default_policy=<None>
#maximum_objects=100
#cache_prefix=<None>

[vnc]
enabled=true
#keymap=<None>

server_listen = {{ nova_vnc_server_listen }}
server_proxyclient_address = {{ nova_vnc_server_proxy }}
novncproxy_base_url={{ nova_vnc_endpoint }}
#xvpvncproxy_host=0.0.0.0
#xvpvncproxy_port=6081
#xvpvncproxy_base_url=http://127.0.0.1:6081/console

novncproxy_host=0.0.0.0
novncproxy_port=6080
#auth_schemes=none
#vencrypt_client_key=<None>
#vencrypt_client_cert=<None>
#vencrypt_ca_certs=<None>

[workarounds]
#disable_rootwrap=false
#disable_libvirt_livesnapshot=false
#handle_virt_lifecycle_events=true
#disable_group_policy_check_upcall=false
#enable_consoleauth=false
#enable_numa_live_migration=false
#ensure_libvirt_rbd_instance_dir_cleanup=false

[wsgi]
#api_paste_config=api-paste.ini
#wsgi_log_format=%(client_ip)s "%(request_line)s" status: %(status_code)s len: %(body_length)s time: %(wall_seconds).7f

secure_proxy_ssl_header=HTTP_X_FORWARDED_PROTO
#ssl_ca_file=<None>
#ssl_cert_file=<None>
#ssl_key_file=<None>
#tcp_keepidle=600
#default_pool_size=1000
#max_header_line=16384
#keep_alive=true
#client_socket_timeout=900

[xenserver]
#agent_timeout=30
#agent_version_timeout=300
#agent_resetnetwork_timeout=60
#agent_path=usr/sbin/xe-update-networking
#disable_agent=false
#use_agent_default=false
#login_timeout=10
#connection_concurrent=5
#cache_images=all
#image_compression_level=<None>
#default_os_type=linux
#block_device_creation_timeout=10
#max_kernel_ramdisk_size=16777216
#sr_matching_filter=default-sr:true
#sparse_copy=true
#num_vbd_unplug_retries=10
#ipxe_network_name=<None>
#ipxe_boot_menu_url=<None>
#ipxe_mkisofs_cmd=mkisofs
#connection_url=<None>
#connection_username=root
#connection_password=<None>
#vhd_coalesce_poll_interval=5.0
#check_host=true
#vhd_coalesce_max_attempts=20
#sr_base_path=/var/run/sr-mount
#target_host=<None>
#target_port=3260
#independent_compute=false
#running_timeout=60
#image_upload_handler =
#image_handler=direct_vhd
#introduce_vdi_retry_wait=20
#ovs_integration_bridge=<None>
#use_join_force=true
#console_public_hostname=<current_hostname>

[xvp]
#console_xvp_conf_template=$pybasedir/nova/console/xvp.conf.template
#console_xvp_conf=/etc/xvp.conf
#console_xvp_pid=/var/run/xvp.pid
#console_xvp_log=/var/log/xvp.log
#console_xvp_multiplex_port=5900

[zvm]
#cloud_connector_url=http://zvm.example.org:8080/
#ca_file=<None>
#image_tmp_path=$state_path/images
#reachable_timeout=300
